id: s3-bucket

info:
  name: S3 Bucket Detect 
  author: 302Found
  severity: info

file:
  - extensions:
      - all

    extractors:
      - type: regex
        regex:
          - "[a-z0-9.-]+\\.s3\\.amazonaws\\.com"
          - "[a-z0-9.-]+\\.s3-[a-z0-9-]\\.amazonaws\\.com"
          - "[a-z0-9.-]+\\.s3-website[.-](eu|ap|us|ca|sa|cn)"
          - "//s3\\.amazonaws\\.com/[a-z0-9._-]+"
          - "//s3-[a-z0-9-]+\\.amazonaws\\.com/[a-z0-9._-]+"